﻿body {
    font-size: 16px;
    font-family: Roboto, Tajawal, Overpass, Microsoft JhengHei, sans-serif;
}

h1, h2, h3, h4, h5, h6, .navbar .navbar-nav {
    font-family: Roboto, Tajawal, Overpass, Microsoft JhengHei, sans-serif;
    text-transform: none;
}

form {
    margin: 0px;
}

h1, h2, h3 {
    color: #000;
}

select {
    -webkit-appearance: none;
}

.ellipsis {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.required::after {
    content: "*";
    color: #ff0000;
    margin-left: 5px;
}

.loading {
    position: fixed;
    background-color: #ffffff;
    background-image: url(/Images/loading.gif);
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 100%;
    width: 50px;
    height: 50px;
    top: -60px;
    left: calc(50% - 25px);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    transition: all ease .5s;
    opacity: 0;
    z-index: 9999;
}

/* Button */
.btn, .form-control {
    border-radius: 10px;
}

.btn-default {
    color: #ffffff;
    background-color: #314530;
    border-color: #314530;
}

    .btn-default:hover,
    .btn-default:focus,
    .btn-default.focus,
    .btn-default:active,
    .btn-default.active,
    .open > .dropdown-toggle.btn-default {
        color: #ffffff;
        background-color: #a8cc44;
        border-color: #a8cc44;
    }

    .btn-default.disabled,
    .btn-default[disabled],
    fieldset[disabled] .btn-default {
        background-color: #6b0b0c;
        border-color: #b42424;
    }

.btn-yellow {
    background-color: #f4c32f;
    color: #000;
}

a:hover {
    cursor: pointer;
    text-decoration: none;
}

.row.no-gutters label {
    margin-bottom: 0px;
}

/* Style of Scroll To Top */
.scrollToTop {
    background-color: rgba(153, 153, 153, 0.6);
    width: 48px;
    height: 48px;
    padding: 3px;
    bottom: 5px;
}

    .scrollToTop:hover {
        background-color: rgba(153, 153, 153, 1);
    }

        .scrollToTop:hover i {
            color: #ffffff;
            -webkit-transition: all 0.2s ease-in-out;
            -o-transition: all 0.2s ease-in-out;
            transition: all 0.2s ease-in-out;
        }

    .scrollToTop i {
        line-height: 40px;
        font-size: 20px;
    }

/* Header */
header .navbar {
    background-color: #ffffff;
    /*border-bottom: 1px solid #f1f1f1;*/
}

    header .navbar .logo img.logo-white,
    .fixed-header-on header .navbar .logo img.logo-white,
    .fixed-navbar header .navbar .logo img.logo-white {
        display: none;
    }

header .navbar-nav > li > a {
    color: #ffffff;
    margin-right: 0;
    padding: 1.5rem 2rem;
}

header .navbar-nav .dropdown-menu {
    background-color: #f2f2f2;
    border: 0;
}

    header .navbar-nav .dropdown-menu > li > a {
        white-space: nowrap;
        padding-top: 1rem;
        padding-bottom: 1rem;
    }

        header .navbar-nav .dropdown-menu > li > a:hover,
        header .navbar-nav .dropdown-menu > li > a.active {
            background-color: rgba(0, 0, 0, 0.7);
            color: #9fcd15;
        }

body.fixed-header-on .navbar-nav > li > a {
    padding: 1rem;
}

header .navbar-nav .nav-link {
    color: #333333;
    border: 0;
}

header .navbar-nav li > a:hover,
header .navbar-nav li > a.active,
header .navbar-nav li.show > a {
    background-color: transparent;
    color: #9dcd0f;
}

.fixed-header-on header .navbar {
    position: fixed;
    z-index: 1020;
    left: 0;
    right: 0;
    background-color: #ffffff;
    box-shadow: 0 0 10px rgb(0 0 0 / 16%);
    padding-top: 0;
    padding-bottom: 0;
    transform: translateY(-100%);
}

header .navbar.animated {
    -webkit-animation: slideDown .5s ease-in-out 0s forwards;
    -moz-animation: slideDown .5s ease-in-out 0s forwards;
    -ms-animation: slideDown .5s ease-in-out 0s forwards;
    -o-animation: slideDown .5s ease-in-out 0s forwards;
    animation: slideDown .5s ease-in-out 0s forwards;
}

@keyframes slideDown {
    100% {
        -moz-transform: translateY(0);
        -o-transform: translateY(0);
        -ms-transform: translateY(0);
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}

.fixed-header-on header .navbar .logo img.logo-black {
    height: 40px;
}

.fixed-header-on header .navbar-nav {
    padding-top: 0;
}

    .fixed-header-on header .navbar-nav li > a:hover, .fixed-header-on header .navbar-nav li > a.active, .fixed-header-on header .navbar-nav li.show > a {
        background-color: transparent;
        color: #9dcd0f;
    }

    .fixed-header-on header .navbar-nav .dropdown-menu > li > a:hover {
        background-color: rgba(0, 0, 0, 0.7);
        color: #9dcd0f;
    }

.logo a img {
    display: inline-block;
    width: 236px;
    /*height: 55px;*/
}

.dropdown > a:before {
    display: none;
    content: '';
}

.dropdown-toggle::after {
    display: none;
}

/* Fixed Navbar */
.fixed-navbar header {
    padding-bottom: 73px;
}

    .fixed-navbar header .navbar {
        position: fixed;
        width: 100%;
        border-bottom: 1px solid #f1f1f1;
        z-index: 1020;
    }

        .fixed-navbar header .navbar .logo img.logo-black {
            display: block;
            height: 40px;
        }

        .fixed-navbar header .navbar .navbar-nav {
            padding-top: 0;
        }

    .fixed-navbar header .navbar-nav > li > a:hover,
    .fixed-navbar header .navbar-nav > li > a.active,
    .fixed-navbar header .navbar-nav > li.show > a {
        background-color: transparent;
        color: #9dcd0f;
    }

/* Fixed Button */
.fixed-btn a.line {
    position: fixed;
    right: 5px;
    top: calc(50% - 23px);
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background-image: url(/IMG/line.png);
    background-color: #00b900;
    background-position: center 8px;
    background-repeat: no-repeat;
    background-size: 30px;
    z-index: 3;
}

/* Breadcrumb */
.breadcrumb {
    background-color: transparent;
    font-size: 1.7vh;
    padding-right: 0;
    padding-left: 0;
}

/* Slick Slider */
.slick-dots {
    padding-left: 0;
    list-style: none;
    text-align: center;
}

    .slick-dots li {
        display: inline-block;
    }

        .slick-dots li + li {
            margin-left: 15px;
        }

        .slick-dots li button {
            font-size: 0px;
            line-height: 0;
            width: 12px;
            height: 12px;
            border: 0;
            border-radius: 100%;
            outline: none;
            background-color: #999999;
            opacity: 0.8;
        }

            .slick-dots li button:hover,
            .slick-dots li button:focus {
                opacity: 1;
            }

        .slick-dots li.slick-active button {
            background-color: #333333;
            opacity: 1;
        }

/* Mobile Navbar 手機版選單(滑出版) */
.navbar-toggle {
    left: 5px;
    top: 8px;
    border: none;
    z-index: 1007;
    background-color: transparent;
    transition: all ease .5s;
}

    .navbar-toggle .icon-bar {
        background-color: #333333;
        -webkit-transform: matrix(1, 0, 0, 1, 0, 0);
        transform: matrix(1, 0, 0, 1, 0, 0);
    }

.fixed-header-on .navbar-toggle .icon-bar,
.fixed-navbar .navbar-toggle .icon-bar {
    background-color: #333333;
}

#nav-mobile {
    width: 250px;
}

    #nav-mobile.hide {
        margin-left: -0px;
    }

    #nav-mobile a {
        color: #ffffff;
    }

    #nav-mobile .wrapper {
        width: 250px;
    }

    #nav-mobile .header {
        background-color: #314530;
        padding: 5px 20px;
        justify-content: space-between;
    }

        #nav-mobile .header .logo {
            width: auto;
            height: auto;
        }

            #nav-mobile .header .logo img {
                width: 160px;
            }

    #nav-mobile .body {
        background-color: #314530;
        padding: 20px 0px;
    }

    #nav-mobile ul {
        list-style: none;
        padding-left: 0;
        margin-bottom: 0;
    }

        #nav-mobile ul > li > a {
            display: block;
            font-size: 16px;
            position: relative;
            color: #ffffff;
            padding: 15px 20px;
            text-transform: none;
            border-bottom: solid 1px #314530;
        }

            #nav-mobile ul > li.active > a, #nav-mobile ul > li > a:hover {
                color: #314530;
                background-color: #ffffff;
            }

        #nav-mobile ul > li > ul > li > a {
            padding-right: 20px;
            padding-left: 40px;
        }

        #nav-mobile ul > li > ul > li a:before {
            font-family: 'FontAwesome';
            content: "\f105";
            color: #f4c32f;
            position: absolute;
            left: 25px;
            line-height: 1.2em;
        }

        #nav-mobile ul > li > ul > li > ul > li > a {
            padding-right: 10px;
            padding-left: 2.5em;
        }

            #nav-mobile ul > li > ul > li > ul > li > a:before {
                left: 1.5em;
            }

        #nav-mobile ul > li > ul {
            display: none;
        }

        #nav-mobile ul > li.active ul,
        #nav-mobile ul > li.open ul {
            display: block;
        }

    #nav-mobile .feature {
        justify-content: space-around;
        background-color: #2a3b29;
        border-top: solid 1px #314530;
        height: 50px;
    }

.hpanel .page {
    text-align: right;
}

    .hpanel .page .form-control {
        display: inline-block;
        width: auto;
    }

.hpanel .list {
    background-color: rgba(233,242,233,0.63);
    padding: 20px;
    border-radius: 1rem;
}

    .hpanel .list .hpanel {
        margin-bottom: 20px;
    }

        .hpanel .list .hpanel .panel-heading {
            background-color: #314530;
            color: #ffffff;
            padding: 10px 20px;
            border-top-left-radius: 1rem;
            border-top-right-radius: 1rem;
        }

            .hpanel .list .hpanel .panel-heading a {
                color: #ffffff;
            }

        .hpanel .list .hpanel .dropdown {
            margin-top: -10px;
            margin-right: -20px;
        }

            .hpanel .list .hpanel .dropdown button {
                padding: 9px 20px;
                background-color: transparent;
                border-color: transparent;
            }

                .hpanel .list .hpanel .dropdown button::after {
                    display: none;
                }

        .hpanel .list .hpanel .dropdown-menu a {
            display: block;
            padding: 8px 15px;
            color: #314530;
        }

        .hpanel .list .hpanel .panel-body .dropdown {
            margin-top: -5px;
        }

            .hpanel .list .hpanel .panel-body .dropdown button {
                color: #212529;
                padding: 0.375rem 0.75rem;
            }


.hpanel .forum-info a {
    display: block;
    border-radius: 1rem;
    background-color: rgba(233,242,233,0.63);
    text-align: center;
    padding: 5px 10px;
}

    .hpanel .forum-info a:hover {
        background-color: #FFFDE0;
    }

.hpanel .forum-info .number {
    display: block;
    font-weight: bold;
}

.hpanel .list .hpanel .panel-body {
    padding: 10px 20px;
    border: solid 1px #314530;
    background-color: #ffffff;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.1);
    border-top: none;
}

.hpanel .page-item.active .page-link {
    background-color: #314530;
    border-color: #314530;
}

/* Footer */
.footer {
    background-color: rgb(46,46,46);
    color: #fff;
    padding: 80px 0 30px;
}

    .footer ul {
        padding-left: 0;
        list-style: none;
    }

        .footer ul > li {
            padding: 5px 0;
        }

            .footer ul > li > a {
                color: #666666;
            }

    .footer h3 {
        color: #fff;
        font-weight: bold;
        font-size: 18px;
    }

    .footer ul.contact > li {
        padding-left: 28px;
    }

        .footer ul.contact > li > i {
            position: absolute;
            left: 0;
            line-height: 1.5em;
        }

        .footer ul.contact > li a {
            color: #ffffff;
        }

.subfooter {
    background-color: #2e2e2e;
    color: #ffffff;
}

    .subfooter .row {
        border-top: 1px solid #ffffff;
        padding: 30px 0;
    }

.footer ul.app-download > li {
    display: inline-block;
    margin-right: 10px;
}

ul.social-links {
    padding-left: 0;
    list-style: none;
}

    ul.social-links > li {
        display: inline-block;
    }

        ul.social-links > li + li {
            margin-left: 10px;
        }

        ul.social-links > li > a {
            display: inline-block;
            width: 40px;
            height: 40px;
            color: #ffffff;
            border-radius: 100%;
            text-align: center;
            font-size: 20px;
            background-color: #7aad5c;
        }

            ul.social-links > li > a > i {
                line-height: 40px;
            }

        ul.social-links > li.facebook > a {
            background-color: rgb(84, 118, 185);
        }

        ul.social-links > li.linkedin > a {
            background-color: rgb(58, 133, 196);
        }

        ul.social-links > li.youtube > a {
            background-color: rgb(233, 75, 62);
        }

.copyright a {
    color: inherit;
}

.btn-white {
    background-color: #fff;
}


/* Solutions (List) */
.solution-banner {
    position: relative;
    overflow: hidden;
}

    .solution-banner:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 7px;
        background: rgb(255,255,255);
        background: -moz-linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 5%);
        background: -webkit-linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 5%);
        background: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 5%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#ffffff",GradientType=1);
    }

    .solution-banner .container-fluid {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }

    .solution-banner h1 {
        font-size: 5vw;
        font-weight: bold;
        margin-top: 15%;
    }

    .solution-banner video {
        width: 100%;
    }

.solution-bar {
    position: relative;
    padding-bottom: 54.54%;
    overflow: hidden;
}

    .solution-bar video {
        max-width: calc(100vw / 0.55 - 40px);
        position: absolute;
        left: calc(50vw - 50vw / 0.55 + 20px);
    }

#list-row-65 .list-item {
    position: relative;
}

    #list-row-65 .list-item h4 {
        font-size: 2vh;
    }

    #list-row-65 .list-item img {
        height: 81px;
    }

#list-row-65 > div + div:not(:nth-child(4)) .list-item:before {
    content: "＋";
    color: #2e4d2c;
    display: inline-block;
    font-size: 5vh;
    line-height: 1.0;
    position: absolute;
    right: calc(100% + 0.5vh);
    top: 30px;
}

#particles-js {
    position: relative;
    padding: 10vh 15px;
    text-align: center;
    /*border-top: 1px solid #e6ebe0;
    border-bottom: 1px solid #e6ebe0;*/
    overflow: hidden;
}

    #particles-js:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgb(255,255,255);
        background: -moz-linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 5%);
        background: -webkit-linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 5%);
        background: linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 5%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#ffffff",GradientType=1);
    }

    #particles-js canvas {
        position: absolute;
        top: 0;
        left: 0;
    }

    #particles-js > *:not(canvas) {
        position: relative;
        z-index: 1;
    }

#section-list-71  > .container {
    padding-right:0;
    padding-left:0;
}

#list-row-72 .list-item {
    border-radius: 10px;
    padding: 15px 15px 13px;
    margin: 10px;
    text-align: center;
    border: 1px solid #f2f2f2;
    box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.1);
}

    #list-row-72 .list-item svg {
        width: 5vh;
        height: 5vh;
    }

    #list-row-72 .list-item h4 {
        font-weight: bold;
        color: #2e4d2c;
        margin: 1rem 0 0;
    }

    #list-row-72 .list-item:hover {
        cursor: pointer;
        background-color: #7bbe33;
    }

#list-row-72 .slick-current .list-item {
    background-color: #7bbe33;
}

    #list-row-72 .list-item:hover h4,
    #list-row-72 .slick-current .list-item h4 {
        color: #ffffff;
    }

    #list-row-72 .list-item:hover svg g > *,
    #list-row-72 .slick-current .list-item svg g > * {
        fill: #ffffff;
    }

#list-row-78 .list-item img {
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

#section-list-43 {
    height: calc((100vw - 15px) / 1.92);
    min-height: 150px;
    max-height: 100vh;
}


@media (max-width:767px) {
    /* Common */
    h1 {
        font-size: 30px;
    }

    h2 {
        font-size: 24px;
    }

    h3 {
        font-size: 18px;
    }

    /* Header */
    header:not(.full-width) .logo img {
        width: 160px;
    }

    .header-dropdown-buttons {
        position: absolute;
        right: 0;
        bottom: 10px;
    }

    .social ul.social-links {
        justify-content: center;
    }

    #list-item-17 h4:before,
    #list-item-18 h4:before,
    #list-item-19 h4:before {
        top: -36px;
        left: -10%;
    }
}

@media (min-width:768px) {

    /* Header */
    header .navbar-nav .dropdown-menu {
        margin-top: 0px;
    }

    header .navbar-expand-md .navbar-nav .nav-link {
        padding-right: 1rem;
        padding-left: 1rem;
    }

    /* Fixed Navbar */
    .fixed-navbar header .navbar .logo img {
        display: none;
    }

    .fixed-navbar #nav-mobile {
        border: none;
        box-shadow: none;
    }

    /* Solutions (List) */

    #list-row-65 > div + div .list-item:before {
        content: "＋";
        color: #2e4d2c;
        display: inline-block;
        font-size: 5vh;
        line-height: 1.0;
        position: absolute;
        right: calc(100% + 0.5vh - 7.5px);
        top: 30px;
    }
}

@media (min-width:992px) {

    /* Solutions (List) */
    .solution-bar {
        padding-bottom: 0;
    }

        .solution-bar video {
            max-width: unset;
            width: 100%;
            position: relative;
            left: auto;
        }
}

@media (min-width:1200px) {

    /* Header */
    header .navbar-expand-md .navbar-nav .nav-link {
        padding-left: 2rem;
        padding-right: 2rem;
    }
}

/* Special Size */
@media (min-width:1600px) {

    header .navbar .container-fluid,
    #footer .container-fluid {
        padding: 0 100px;
    }
}
